Debian Bug report logs - #310895
docbook-xsl: Add option to enable filenames like $NAME.$LANG.$SECTION

version graph

Package: docbook-xsl; Maintainer for docbook-xsl is Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>; Source for docbook-xsl is src:docbook-xsl.

Reported by: Philippe Batailler <philippe.batailler@free.fr>

Date: Thu, 26 May 2005 19:33:04 UTC

Severity: wishlist

Tags: fixed-upstream, upstream

Fixed in version docbook-xsl/1.72.0.dfsg.1-1

Done: Daniel Leidert (dale) <daniel.leidert@wgdd.de>

Bug is archived. No further changes may be made.

Forwarded to https://sourceforge.net/tracker/index.php?func=detail&aid=1585967&group_id=21935&atid=373750

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#310895; Package xmlto. Full text and rfc822 format available.

Acknowledgement sent to Philippe Batailler <philippe.batailler@free.fr>:
New Bug report received and forwarded. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Philippe Batailler <philippe.batailler@free.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xmlto: bad output file
Date: Thu, 26 May 2005 21:30:13 +0200
Package: xmlto
Version: 0.0.18-5
Severity: normal

Hello,

If I run "xmlto man apt-get.fr.8.xml"
I get "apt-get.8" as output.
I should get : apt-get.fr.8

Regards,


-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.11-1-686
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro (charmap=ISO-8859-15)

Versions of packages xmlto depends on:
ii  debianutils                 2.8.4        Miscellaneous utilities specific t
ii  docbook-xml                 4.3-1.1      standard XML documentation system,
ii  docbook-xsl                 1.68.1-0.1   stylesheets for processing DocBook
ii  libc6                       2.3.2.ds1-22 GNU C Library: Shared libraries an
ii  libpaper-utils              1.1.14-3     Library for handling paper charact
ii  libxml2-utils               2.6.16-7     XML utilities
ii  sgml-base                   1.26         SGML infrastructure and SGML catal
ii  xsltproc                    1.1.12-8     XSLT command line processor

-- no debconf information

-- 
Philippe Batailler






Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#310895; Package xmlto. Full text and rfc822 format available.

Acknowledgement sent to philippe.batailler@free.fr (Philippe Batailler):
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 310895@bugs.debian.org (full text, mbox):

From: philippe.batailler@free.fr (Philippe Batailler)
To: 310895@bugs.debian.org
Subject: Re: [xml/sgml-pkgs] Bug#310895: xmlto: bad output file
Date: Wed, 8 Jun 2005 21:32:31 +0200
 Philippe Batailler <philippe.batailler@free.fr> wrote:
  « Package: xmlto
  « Version: 0.0.18-5
  « Severity: normal
  « 
  « Hello,
  « 
  « If I run "xmlto man apt-get.fr.8.xm l"
  « I get "apt-get.8 " as output.
  « I should get : apt-get.fr.8

reassign to xsltproc.

"xsltproc --output apt-get.fr.8 stylesheet apt-get.fr.8.xml"
gives apt-get.8
and not  apt-get.fr.8 as requested.

-- 
Philippe Batailler






Bug reassigned from package `xmlto' to `xsltproc'. Request was from philippe.batailler@free.fr (Philippe Batailler) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#310895; Package xsltproc. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #17 received at 310895@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Philippe Batailler <philippe.batailler@free.fr>
Cc: 310895@bugs.debian.org
Subject: Re: [xml/sgml-pkgs] Bug#310895: xmlto: bad output file
Date: Fri, 27 Oct 2006 13:57:26 +0200
reassign 310895 docbook-xsl
thanks

On Wed, Jun 08, 2005 at 09:32:31PM +0200, Philippe Batailler <philippe.batailler@free.fr> wrote:
>  Philippe Batailler <philippe.batailler@free.fr> wrote:
>   « Package: xmlto
>   « Version: 0.0.18-5
>   « Severity: normal
>   « 
>   « Hello,
>   « 
>   « If I run "xmlto man apt-get.fr.8.xm l"
>   « I get "apt-get.8 " as output.
>   « I should get : apt-get.fr.8
> 
> reassign to xsltproc.
> 
> "xsltproc --output apt-get.fr.8 stylesheet apt-get.fr.8.xml"
> gives apt-get.8
> and not  apt-get.fr.8 as requested.

It took time, but I actually looked into this bug and this is not
xsltproc related.

The docbook xsl for manpages do generate the files through
exsl:document, and doesn't output anything to the standard output.

For docbook-xsl maintainer:
The output filename is defined in manpages/docbook.xsl, and is roughly
defined as concat(normalize-space ($name), '.', $section), which
excludes the language used for the manpage.

Mike



Bug reassigned from package `xsltproc' to `docbook-xsl'. Request was from Mike Hommey <mh@glandium.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Leidert (dale) <daniel.leidert@wgdd.de>:
Bug#310895; Package docbook-xsl. Full text and rfc822 format available.

Acknowledgement sent to "Daniel Leidert" <daniel.leidert@wgdd.de>:
Extra info received and forwarded to list. Copy sent to Daniel Leidert (dale) <daniel.leidert@wgdd.de>. Full text and rfc822 format available.

Message #24 received at 310895@bugs.debian.org (full text, mbox):

From: "Daniel Leidert" <daniel.leidert@wgdd.de>
To: control@bugs.debian.org, 310895@bugs.debian.org
Cc: smith@sideshowbarker.net
Subject: docbook-xsl: Add option to enable filenames like $NAME.$LANG.$SECTION
Date: Fri, 27 Oct 2006 22:00:26 +0200 (CEST)
severity 310895 wishlist
retitle 310895 docbook-xsl: Add option to enable filenames like
$NAME.$LANG.$SECTION
forwarded 310895
https://sourceforge.net/tracker/index.php?func=detail&aid=1585967&group_id=21935&atid=373750
thanks

Hi Michael,

I got the above feature request. Because of a broken harddrive, I cannot
check it myself atm, so I want to ask you directly: Do you already support
the requested feature or is it something, that needs to be implemented? In
the latter case: What is your opinion about this feature request?

In the case of implementing this, I guess such manpages should be put into
$base.dir/$LANG if man.output.subdirs.enabled is enabled.

Regards, Daniel




Severity set to `wishlist' from `normal' Request was from "Daniel Leidert" <daniel.leidert@wgdd.de> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from "Daniel Leidert" <daniel.leidert@wgdd.de> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist' from `wishlist' Request was from "Daniel Leidert" <daniel.leidert@wgdd.de> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from "Daniel Leidert" <daniel.leidert@wgdd.de> to control@bugs.debian.org. Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to https://sourceforge.net/tracker/index.php?func=detail&aid=1585967&group_id=21935&atid=373750. Request was from "Daniel Leidert" <daniel.leidert@wgdd.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Leidert (dale) <daniel.leidert@wgdd.de>:
Bug#310895; Package docbook-xsl. Full text and rfc822 format available.

Acknowledgement sent to "Michael(tm) Smith" <smith@sideshowbarker.net>:
Extra info received and forwarded to list. Copy sent to Daniel Leidert (dale) <daniel.leidert@wgdd.de>. Full text and rfc822 format available.

Message #39 received at 310895@bugs.debian.org (full text, mbox):

From: "Michael(tm) Smith" <smith@sideshowbarker.net>
To: Daniel Leidert <daniel.leidert@wgdd.de>
Cc: control@bugs.debian.org, 310895@bugs.debian.org, smith@sideshowbarker.net
Subject: Re: docbook-xsl: Add option to enable filenames like $NAME.$LANG.$SECTION
Date: Sat, 28 Oct 2006 10:54:17 +0900
[Message part 1 (text/plain, inline)]
Daniel Leidert <daniel.leidert@wgdd.de>, 2006-10-27 22:00 +0200:

> I got the above feature request. Because of a broken harddrive, I cannot
> check it myself atm, so I want to ask you directly: Do you already support
> the requested feature or is it something, that needs to be implemented?

It's not yet supported. I'd need to implement support for it.

> In the latter case: What is your opinion about this feature request?

Looks like a potentially worthwhile enhancement to me. But that
said, I'm not sure I understand the use case. What's the purpose
of an apt-get.fr.8 man page instead of just a man/fr/apt-get.8 page? 

> In the case of implementing this, I guess such manpages should be put into
> $base.dir/$LANG if man.output.subdirs.enabled is enabled.

Yep. But would that be in addition to adding support for foo.$LANG.1 ?

  --Mike

-- 
Michael(tm) Smith
xmpp:smith@sideshowbarker.net
irc://irc.freenode.net/mobile-web
[smime.p7s (application/x-pkcs7-signature, attachment)]

Changed Bug title. Request was from Loïc Minier <lool@dooz.org> to control@bugs.debian.org. Full text and rfc822 format available.

Forwarded-to-address changed from https://sourceforge.net/tracker/index.php?func=detail&aid=1585967&group_id=21935&atid=373750 to https://sourceforge.net/tracker/index.php?func=detail&aid=1585967&group_id=21935&atid=373750. Request was from Loïc Minier <lool@dooz.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream, fixed-upstream Request was from Daniel Leidert <daniel.leidert@wgdd.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Daniel Leidert (dale) <daniel.leidert@wgdd.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Philippe Batailler <philippe.batailler@free.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #52 received at 310895-close@bugs.debian.org (full text, mbox):

From: Daniel Leidert (dale) <daniel.leidert@wgdd.de>
To: 310895-close@bugs.debian.org
Subject: Bug#310895: fixed in docbook-xsl 1.72.0.dfsg.1-1
Date: Sun, 11 Mar 2007 14:04:28 +0000
Source: docbook-xsl
Source-Version: 1.72.0.dfsg.1-1

We believe that the bug you reported is fixed in the latest version of
docbook-xsl, which is due to be installed in the Debian FTP archive:

docbook-xsl-doc-html_1.72.0.dfsg.1-1_all.deb
  to pool/main/d/docbook-xsl/docbook-xsl-doc-html_1.72.0.dfsg.1-1_all.deb
docbook-xsl-doc-pdf_1.72.0.dfsg.1-1_all.deb
  to pool/main/d/docbook-xsl/docbook-xsl-doc-pdf_1.72.0.dfsg.1-1_all.deb
docbook-xsl-doc-text_1.72.0.dfsg.1-1_all.deb
  to pool/main/d/docbook-xsl/docbook-xsl-doc-text_1.72.0.dfsg.1-1_all.deb
docbook-xsl_1.72.0.dfsg.1-1.diff.gz
  to pool/main/d/docbook-xsl/docbook-xsl_1.72.0.dfsg.1-1.diff.gz
docbook-xsl_1.72.0.dfsg.1-1.dsc
  to pool/main/d/docbook-xsl/docbook-xsl_1.72.0.dfsg.1-1.dsc
docbook-xsl_1.72.0.dfsg.1-1_all.deb
  to pool/main/d/docbook-xsl/docbook-xsl_1.72.0.dfsg.1-1_all.deb
docbook-xsl_1.72.0.dfsg.1.orig.tar.gz
  to pool/main/d/docbook-xsl/docbook-xsl_1.72.0.dfsg.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 310895@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Leidert (dale) <daniel.leidert@wgdd.de> (supplier of updated docbook-xsl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 24 Feb 2007 00:41:57 +0100
Source: docbook-xsl
Binary: docbook-xsl docbook-xsl-doc-html docbook-xsl-doc-pdf docbook-xsl-doc-text
Architecture: source all
Version: 1.72.0.dfsg.1-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Leidert (dale) <daniel.leidert@wgdd.de>
Changed-By: Daniel Leidert (dale) <daniel.leidert@wgdd.de>
Description: 
 docbook-xsl - stylesheets for processing DocBook XML files to various output fo
 docbook-xsl-doc-html - stylesheets for processing DocBook XML files (HTML documentation)
 docbook-xsl-doc-pdf - stylesheets for processing DocBook XML files (PDF documentation)
 docbook-xsl-doc-text - stylesheets for processing DocBook XML files (ASCII documentation
Closes: 310895 386580
Changes: 
 docbook-xsl (1.72.0.dfsg.1-1) unstable; urgency=low
 .
   * New upstream release 1.72.0.
     - Upstream added man.output.lang.in.name.enabled parameter to enable
       output of filenames like $NAME.$LANG.$SECTION (closes: #310895). Thanks
       to Philippe Batailler for the suggestion of this feature.
     - Upstream added initial support in manpages output for footnote,
       annotation and alt instances (closes: #386580). Thanks to Jakub Wilk for
       the suggestion of this feature.
     For more read /usr/share/doc/docbook-xsl/changelog.gz.
 .
   [ Daniel Leidert (package) ]
   * debian/copyright: Removed hint about comment in common localization files,
     because upstream fixed the comment(s) in these files, so misinterpretation
     as an unchangeable file should be impossible.
   * debian/docbook-xsl.dirs: Removed obsolete directory.
   * debian/docbook-xsl.docs:
     debian/docbook-xsl.links:
     debian/README.Debian: Re-added some upstream docs after upstream updated
     and cleaned them (thanks to Michael(tm) Smith). The content of these files
     has been removed from README.Debian.
   * debian/docbook-xsl.examples: Added one more Makefile.
   * debian/docbook-xsl.install: Fixed in respect to wordml -> rountrip
     renaming.
   * debian/control:
     debian/rules: Split docbook-xsl-doc package into a HTML (-html), a PDF
     (-pdf) and a pure ASCII text (-text) documentation package (the two latter
     were added initially).
   * debian/docbook-xsl-doc.doc-base:
     debian/docbook-xsl-doc.docs:
     debian/docbook-xsl-doc.links: Removed for above reason.
   * debian/docbook-xsl-doc-html.copyright:
     debian/docbook-xsl-doc-html.doc-base:
     debian/docbook-xsl-doc-html.docs:
     debian/docbook-xsl-doc-html.links:
     debian/docbook-xsl-doc-pdf.copyright:
     debian/docbook-xsl-doc-pdf.doc-base:
     debian/docbook-xsl-doc-pdf.docs:
     debian/docbook-xsl-doc-text.copyright:
     debian/docbook-xsl-doc-text.doc-base:
     debian/docbook-xsl-doc-text.docs: Added for above reason.
   * debian/docbook-xsl.preinst:
     debian/docbook-xsl.postinst:
     debian/docbook-xsl.prerm:
     debian/docbook-xsl.links: Changed the creation of the compatibility
     symlink. It is not longer created by the postinst script. Instead a newly
     introduced preinst script removes the existing directory. That makes it
     possible to install a symlink with the package (content) and this symlink
     is removed automatically during package removal/purge, so the prerm script
     becomes obsolete. So it was removed. This IMO enhances the solution for
     bug #393726.
   * debian/rules: Cleaned up the file a bit (upstream removed empty files and
     fixed file permissions).
 .
   [ Daniel Leidert (patches) ]
   * debian/patches/01_create_debian_catalog.dpatch: Adjusted for this release.
   * debian/patches/10_man_fix_indentation_issues.dpatch: Added.
     - manpages/lists.xsl: All listitems should be separated by an empty line.
       Removes the extra indentation, that can result in a broken indentation
       level.
   * debian/patches/11_html_xalan_transformerexception_fix.dpatch: Added.
     - html/glossary.xsl: Adds curly braces around the $language attribute
       values to prevent Xalan 2.70 from throwing an exception.
     - xhtml/glossary.xsl: Ditto.
   * debian/patches/12_fo_fix_master_name_in_crop_mark_template_call.dpatch:
     Added.
     - fo/pagesetup.xsl: Fixed master-name used in axf crop mark template call.
   * debian/patches/13_fo_fix_missing_attribute_set_for_procedure.dpatch:
     Added.
     - fo/lists.xsl: Adds the missing procedure.properties attribute set.
   * debian/patches/80_common_locale_fixes.dpatch: Adjusted. Removed fixes,
     that were merged into upstream. Added fixes.
     - common/it.xml: Improvements and fixes.
     - common/ja.xml: Ditto.
     - common/uk.xml: Ditto.
   * debian/patches/81_common_xalan_bug_workaround.dpatch: Added.
     - common/pi.xsl: Try to workaround a Xalan quirk.
   * debian/patches/82_fix_doc_typos.dpatch: Added.
     - doc/manpages/man.string.subst.map.html: Simple typo fix.
   * debian/patches/10_manpages_fix_bold_author_markup.dpatch:
   * debian/patches/11_fo_fix_recursion_depth_bug_for_long_programlistings.dpatch:
   * debian/patches/12_fo_axf_attribute_before_fotex.dpatch:
   * debian/patches/13_fo_typo_fixes.dpatch:
   * debian/patches/14_fo_empty_rows_fix.dpatch:
   * debian/patches/15_html_fixed_namespace_declarations.dpatch:
   * debian/patches/16_slides_fix_foil_numbers_for_foilgroups.dpatch:
   * debian/patches/17_fo_html_add_space_between_orgname_and_orgdiv.dpatch:
   * debian/patches/18_common_fix_olink_database_access_for_saxon_and_db5.dpatch:
   * debian/patches/19_manpages_fix_output_formatting_bugs.dpatch:
   * debian/patches/20_html_handle_xalan_quirk.dpatch:
   * debian/patches/21_common_copyof_instead_valueof.dpatch:
   * debian/patches/22_common_fix_extra_white_space_introduced_by_olink.dpatch:
   * debian/patches/23_common_fo_html_use_number_function_for_comparison.dpatch:
   * debian/patches/24_html_fix_sgmltag_class_attribute.dpatch:
   * debian/patches/25_manpages_typo_fixes.dpatch:
   * debian/patches/26_fo_html_fix_no_space_between_package_and_classname.dpatch:
   * debian/patches/27_fo_html_fix_citation_linking_to_biblioentry.dpatch:
   * debian/patches/28_template_added_xalan_workaround.dpatch: Removed. Fixes
     were merged into upstream.
   * debian/patches/90_fix_readme_contents.dpatch: Removed. Upstream
     reorganized READMEs and README content. Thanks to Michael(tm) Smith for
     this Debian-friendly work.
   * debian/patches/00list: Adjusted accordingly.
Files: 
 016dfacc89bc957666d00bf0b1ba1c61 795 text optional docbook-xsl_1.72.0.dfsg.1-1.dsc
 976b0ba5f1f43d61e39ca4a3be09979b 3558149 text optional docbook-xsl_1.72.0.dfsg.1.orig.tar.gz
 761c1cd58ce8f63ddd24bec373639629 33582 text optional docbook-xsl_1.72.0.dfsg.1-1.diff.gz
 3b2f6a667d1109e7a4d0be39bfce07e4 1137896 text optional docbook-xsl_1.72.0.dfsg.1-1_all.deb
 cb7e71589a47abb4ff39e3218f196835 421984 doc optional docbook-xsl-doc-html_1.72.0.dfsg.1-1_all.deb
 6365f6af2ad06d70e204b7e2329ad555 1051216 doc optional docbook-xsl-doc-pdf_1.72.0.dfsg.1-1_all.deb
 3d8244237e4d8e1133ef9f355704384d 169492 doc optional docbook-xsl-doc-text_1.72.0.dfsg.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFF6Sj8ipBneRiAKDwRAkIbAJ9/QN2U7bT3PzPYZkfsJNOGAOR8vwCfQek4
Kl3SLa8f+MNSkCfz95EjQIM=
=iKdZ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2007 06:18:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:51:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.